# Fn<> Id
Type of an object that represents an id.

Defined in | <seqan/basic.h>
Signature | `Id<T>::Type`

## Template Parameters

`T` | The type to query for its id type.

## Return Values

`Type` | The resulting identifier type.

#### Dox Sources

    /*!
     * @mfn Id
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Type of an object that represents an id.
     *
     * @signature Id<T>::Type
     *
     * @tparam T The type to query for its id type.
     *
     * @return Type The resulting identifier type.
     */